#DB Info
#db.userName=XXXX
#db.password=XXXX
#db.connectionURL=jdbc:oracle:thin:@XXXX/XX
#db.hib.dialect=org.hibernate.dialect.Oracle10gDialect
#db.driver=oracle.jdbc.driver.OracleDriver
#Hibernate 
#hb.dialect=org.hibernate.dialect.Oracle10gDialect
#hb.show_sql=true

#Postgre
#db.userName=XXXX
#db.password=XXXX
#db.connectionURL=jdbc:postgresql://XXXX/XX
#db.hib.dialect=org.hibernate.dialect.PostgreSQLDialect
#db.driver=org.postgresql.Driver
#hb.dialect=org.hibernate.dialect.PostgreSQLDialect
#hb.show_sql=true

#mysql
db.driver = org.mariadb.jdbc.Driver
db.connectionURL = jdbc:mariadb://vid-mariadb-docker-instance:3306/vid_openecomp_epsdk
db.userName = vidadmin
db.password = Kp8bJ4SXszM0WXlhak3eHlcse2gAw84vaoGGmJvUy2U
db.hib.dialect = org.hibernate.dialect.MySQLDialect
db.min_pool_size = 5
db.max_pool_size = 10
hb.dialect = org.hibernate.dialect.MySQLDialect
hb.show_sql = true
hb.idle_connection_test_period = 3600
app_display_name = VID
files_path = /tmp

# menu settings
#menu_query_name                      = menuData
#menu_properties_file_location        = /WEB-INF/fusion/menu/
#application_menu_set_name            = APP
#application_menu_attribute_name      = applicationMenuData
#application_menu_properties_name     = menu.properties
#business_direct_menu_set_name        = BD
#business_direct_menu_properties_name = bd.menu.properties
#business_direct_menu_attribute_name  = businessDirectMenuData

application_name              = Virtual Infrastructure Design
application_user_id           = 30000
post_default_role_id          = 16
clustered                     = true

#Enable Fusion Mobile capabilities for the application
mobile_enable = false

# Cache config file is needed on the classpath
cache_config_file_path        = /WEB-INF/classes/cache.ccf
cache_switch                  = 199
cache_load_on_startup         = false

user_name = fullName

decryption_key = ${VID_DECRYPTION_KEY}

#element map files
element_map_file_path = /tmp
element_map_icon_path = app/vid/icons/

#aai related properties
aai.server.url.base=https://aai.api.simpledemo.openecomp.org:8443/aai/
aai.server.url=https://aai.api.simpledemo.openecomp.org:8443/aai/v11/
aai.oldserver.url.base=https://aai.api.simpledemo.openecomp.org:8443/aai/servers/
aai.oldserver.url=https://aai.api.simpledemo.openecomp.org:8443/aai/servers/v3/
aai.truststore.filename=tomcat_keystore
aai.truststore.passwd.x=OBF:1ks51l8d1o3i1pcc1r2r1e211r391kls1pyj1z7u1njf1lx51go21hnj1y0k1mli1sop1k8o1j651vu91mxw1vun1mze1vv11j8x1k5i1sp11mjc1y161hlr1gm41m111nkj1z781pw31kku1r4p1e391r571pbm1o741l4x1ksp
aai.keystore.filename=tomcat_keystore
aai.keystore.passwd.x=OBF:1ks51l8d1o3i1pcc1r2r1e211r391kls1pyj1z7u1njf1lx51go21hnj1y0k1mli1sop1k8o1j651vu91mxw1vun1mze1vv11j8x1k5i1sp11mjc1y161hlr1gm41m111nkj1z781pw31kku1r4p1e391r571pbm1o741l4x1ksp
aai.vid.username=VID
aai.vid.passwd.x=OBF:1jm91i0v1jl9
aai.use.client.cert=false
aai.vnf.provstatus=${AAI_VNF_PROVSTATUS}

# ECOMP Portal Shared Context REST API URL
ecomp_shared_context_rest_url=http://portal.api.simpledemo.openecomp.org:8989/ECOMPPORTAL/context
# Link shown in Help menu
contact_us_link=${VID_CONTACT_US_LINK}
#Cron Schedules
log_cron                      = 0 0/1 * * * ?;
mylogins_feed_cron            = 0 0/60 * * * ?;
#sessiontimeout_feed_cron	  = 0 * * * * ? *
my_login_feed_output_dir      = /tmp/MyLogins

# An Unique 128-bit value defined to identify a specific version
# of an application deployed on a specific virtual machine.
# This value must be generated and updated by the application 
# which is using the ECOMP SDK at the time of its deployment.
# Online Unique UUID generator - https://www.uuidgenerator.net/
instance_uuid=292b461a-2954-4b63-a3f9-f916c7ad3bc0


#MSO related properties
#simulator
mso.server.url=http://vm1.mso.simpledemo.openecomp.org:8080
mso.polling.interval.msecs=10000
mso.max.polls=10
mso.user.name=InfraPortalClient
mso.password.x=OBF:1ih71i271vny1yf41ymf1ylz1yf21vn41hzj1icz
mso.restapi.svc.instance=/ecomp/mso/infra/serviceInstances/v4
mso.restapi.vnf.instance=/ecomp/mso/infra/serviceInstances/v4/<service_instance_id>/vnfs
mso.restapi.network.instance=/ecomp/mso/infra/serviceInstances/v4/<service_instance_id>/networks
mso.restapi.vf.module.instance=/ecomp/mso/infra/serviceInstances/v4/<service_instance_id>/vnfs/<vnf_instance_id>/vfModules
mso.restapi.volume.group.instance=/ecomp/mso/infra/serviceInstances/v4/<service_instance_id>/vnfs/<vnf_instance_id>/volumeGroups
mso.restapi.get.orc.req=/ecomp/mso/infra/orchestrationRequests/v4
mso.restapi.get.orc.reqs=/ecomp/mso/infra/orchestrationRequests/v4?
vid.truststore.filename=/opt/app/vid/etc/vid_keystore.jks
vid.truststore.passwd.x=5c84906b14912dbe96154e09b1e1db90e31f8dedb08e3e6c9f17da3f926cb67b33e4229cc1fe0f59c996d2e38b8ded42
mso.dme2.client.timeout=10000
mso.dme2.client.read.timeout=10000
mso.dme2.server.url=http://localhost:8081
mso.dme2.enabled=false

